oct-admin-generate(1)

NAME
oct-admin-generate - Generate a Key on the card

SYNOPSIS
oct admin generate <-o|--output> [--no-dec] [--no-aut] <-u|--userid> [-p|--user-pin] [-h|--help] [algorithm]

DESCRIPTION
Generate a Key on the card.

A signing key is always created, decryption and authentication keys are optional.

OPTIONS

-o, --output=output
    Output file

--no-dec
    Do not create a key in the DEC slot

--no-aut
    Do not create a key in the AUT slot

-u, --userid=User ID
    User ID to add to the exported certificate representation

-p, --user-pin=User PIN file
    Optionally, get User PIN from a file

-h, --help
    Print help (see a summary with '-h')

[algorithm]
    Choose the algorithm for the key material to generate on the card.
        If the parameter is not given, use the algorithm currently set on the card.
        Specific cards support a set of algorithms that can differ between models. On modern cards,
        use 'oct info' to see the list of supported algorithms.
    [possible values: rsa2048, rsa3072, rsa4096, nistp256, nistp384, nistp521, curve25519]